Bug 1305069 - [RFE] Remember last active main tab in WebAdmin UI
[RFE] Remember last active main tab in WebAdmin UI
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
4.0.0
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: ---
Assigned To: bugs@ovirt.org
Pavel Novotny
: FutureFeature
: 1305070 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 09:10 EST by vszocs
Modified: 2017-05-15 01:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-15 01:41:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oourfali: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
pstehlik: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description vszocs 2016-02-05 09:10:24 EST
It would be nice if WebAdmin UI remembered last active main tab when re-opened in the browser.

For example, open UI and switch to "Hosts" main tab. Reload UI, it should switch to "Hosts" instead of "VMs" (the default main tab).
Comment 1 Pavel Stehlik 2016-02-05 09:16:55 EST
And even more nice would be when this option could be remembered based on username ;)  (so browser independent).
Comment 2 vszocs 2016-02-05 09:24:14 EST
(In reply to Pavel Stehlik from comment #1)
> And even more nice would be when this option could be remembered based on
> username ;)  (so browser independent).

For starters, I wanted to persist this option (either for all users or per-user) via browser's local storage. Do we really need to persist it on server? (It would use the same storage mechanism as remembering column widths, for example.)
Comment 3 Oved Ourfali 2016-02-06 08:52:58 EST
*** Bug 1305070 has been marked as a duplicate of this bug. ***
Comment 4 Oved Ourfali 2017-05-15 01:41:48 EDT
Closing old bugs, as no demand from the field.

Note You need to log in before you can comment on or make changes to this bug.